#
# spec file for package python-nose-exclude
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Weberhofer GmbH, Austria
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-nose-exclude
Version:        0.5.0
Release:        lp151.2.2
Summary:        Exclude specific directories from nosetests runs
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://bitbucket.org/kgrandis/nose-exclude/overview
Source0:        https://files.pythonhosted.org/packages/source/n/nose-exclude/nose-exclude-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
nose-exclude is a Nose plugin that allows you to easily specify
directories to be excluded from testing.

%prep
%setup -q -n nose-exclude-%{version}

%build
%python_build

%check
%python_exec setup.py -q test

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Mar 21 2017 jmatejek@suse.com
- update for singlespec
- update to 0.5.0
  * minor fixes
  * support for NOSE_EXCLUDE_TESTS env var
* Fri Sep 25 2015 p.drouand@gmail.com
- Update to version 0.4.1
  * No changelog available
- Remove fix_testsuite.patch; fixed on upstream release
* Thu May  7 2015 benoit.monin@gmx.fr
- update to  version 0.2.0:
  * no changelog available
- point the source URL to pypi
- add fix_testsuite.patch to fix tests with nose > 1.3.0
  (issue #12, PR #6)
- pass -q to test to avoid spamming the build log
* Tue Aug 13 2013 dmueller@suse.com
- update to 0.1.10:
  * add unit tests
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.1.9:
  * Add support for NOSE_EXCLUDE_DIRS
* Thu Jan 12 2012 saschpe@suse.de
- Spec file cleanup:
  * Use SPDX style license with version (LPGL-2.0+)
  * Don't rm -rf %%buildroot
  * BuildRequire python-distribute instead of python-setuptools
  * Always use group Development/Languages/Python
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Initial checkin of version 0.1.7
